Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

enable CI for edge Rails

  • Loading branch information...
commit 72b0f13c4ab87d88fa272a303a6289686fdda06d 1 parent a16974d
@mislav authored
Showing with 164 additions and 0 deletions.
  1. +1 −0  .travis.yml
  2. +29 −0 Gemfile.rails-edge
  3. +134 −0 Gemfile.rails-edge.lock
View
1  .travis.yml
@@ -6,3 +6,4 @@ gemfile:
- Gemfile
- Gemfile.rails3.0
- Gemfile.rails3.1
+ - Gemfile.rails-edge
View
29 Gemfile.rails-edge
@@ -0,0 +1,29 @@
+source 'http://rubygems.org'
+
+gem 'activerecord-deprecated_finders', :github => 'rails/activerecord-deprecated_finders', :branch => 'master'
+gem 'journey', :github => 'rails/journey', :branch => 'master'
+
+gem 'activerecord', :github => 'rails/rails', :branch => 'master'
+gem 'actionpack', :github => 'rails/rails', :branch => 'master'
+
+gem 'rake'
+gem 'rspec', '~> 2.6.0'
+gem 'mocha', '~> 0.9.8'
+
+gem 'sequel', '~> 3.8'
+gem 'sqlite3', '~> 1.3.3'
+gem 'dm-core'
+gem 'dm-aggregates'
+gem 'dm-migrations'
+gem 'dm-sqlite-adapter'
+
+group :mysql do
+ gem 'mysql', '~> 2.9'
+ gem 'mysql2', '>= 0.3.6'
+end
+gem 'pg', '~> 0.11', :group => :pg
+
+group :debug do
+ gem 'ruby-debug', :platforms => :mri_18
+ gem 'ruby-debug19', :platforms => :mri_19
+end unless ENV['TRAVIS']
View
134 Gemfile.rails-edge.lock
@@ -0,0 +1,134 @@
+GIT
+ remote: git://github.com/rails/activerecord-deprecated_finders.git
+ revision: dd99c375c44b7cb38c5323cd419a5882817249f0
+ branch: master
+ specs:
+ activerecord-deprecated_finders (0.0.1)
+
+GIT
+ remote: git://github.com/rails/journey.git
+ revision: 5e14f7477b3d05595bf950b33812793da2c3913c
+ branch: master
+ specs:
+ journey (2.0.0.20120723141804)
+
+GIT
+ remote: git://github.com/rails/rails.git
+ revision: 36ee5802a5e52e0720eaa80fd0473fd131ffe890
+ branch: master
+ specs:
+ actionpack (4.0.0.beta)
+ activesupport (= 4.0.0.beta)
+ builder (~> 3.1.0)
+ erubis (~> 2.7.0)
+ journey (~> 2.0.0)
+ rack (~> 1.4.1)
+ rack-test (~> 0.6.1)
+ activemodel (4.0.0.beta)
+ activesupport (= 4.0.0.beta)
+ builder (~> 3.1.0)
+ activerecord (4.0.0.beta)
+ activemodel (= 4.0.0.beta)
+ activerecord-deprecated_finders (= 0.0.1)
+ activesupport (= 4.0.0.beta)
+ arel (~> 3.0.2)
+ activesupport (4.0.0.beta)
+ i18n (~> 0.6)
+ minitest (~> 4.1)
+ multi_json (~> 1.3)
+ tzinfo (~> 0.3.33)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ addressable (2.2.6)
+ archive-tar-minitar (0.5.2)
+ arel (3.0.2)
+ builder (3.1.4)
+ columnize (0.3.5)
+ data_objects (0.10.7)
+ addressable (~> 2.1)
+ diff-lcs (1.1.3)
+ dm-aggregates (1.2.0)
+ dm-core (~> 1.2.0)
+ dm-core (1.2.0)
+ addressable (~> 2.2.6)
+ dm-do-adapter (1.2.0)
+ data_objects (~> 0.10.6)
+ dm-core (~> 1.2.0)
+ dm-migrations (1.2.0)
+ dm-core (~> 1.2.0)
+ dm-sqlite-adapter (1.2.0)
+ dm-do-adapter (~> 1.2.0)
+ do_sqlite3 (~> 0.10.6)
+ do_sqlite3 (0.10.7)
+ data_objects (= 0.10.7)
+ erubis (2.7.0)
+ i18n (0.6.1)
+ linecache (0.46)
+ rbx-require-relative (> 0.0.4)
+ linecache19 (0.5.12)
+ ruby_core_source (>= 0.1.4)
+ minitest (4.3.0)
+ mocha (0.9.12)
+ multi_json (1.3.7)
+ mysql (2.9.0)
+ mysql2 (0.3.11)
+ pg (0.12.0)
+ rake-compiler (~> 0.7)
+ rack (1.4.1)
+ rack-test (0.6.2)
+ rack (>= 1.0)
+ rake (0.9.2.2)
+ rake-compiler (0.7.9)
+ rake
+ rbx-require-relative (0.0.5)
+ rspec (2.6.0)
+ rspec-core (~> 2.6.0)
+ rspec-expectations (~> 2.6.0)
+ rspec-mocks (~> 2.6.0)
+ rspec-core (2.6.4)
+ rspec-expectations (2.6.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.6.0)
+ ruby-debug (0.10.4)
+ columnize (>= 0.1)
+ ruby-debug-base (~> 0.10.4.0)
+ ruby-debug-base (0.10.4)
+ linecache (>= 0.3)
+ ruby-debug-base19 (0.11.25)
+ columnize (>= 0.3.1)
+ linecache19 (>= 0.5.11)
+ ruby_core_source (>= 0.1.4)
+ ruby-debug19 (0.11.6)
+ columnize (>= 0.3.1)
+ linecache19 (>= 0.5.11)
+ ruby-debug-base19 (>= 0.11.19)
+ ruby_core_source (0.1.5)
+ archive-tar-minitar (>= 0.5.2)
+ sequel (3.30.0)
+ sqlite3 (1.3.6)
+ tzinfo (0.3.35)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ actionpack!
+ activerecord!
+ activerecord-deprecated_finders!
+ dm-aggregates
+ dm-core
+ dm-migrations
+ dm-sqlite-adapter
+ journey!
+ mocha (~> 0.9.8)
+ mysql (~> 2.9)
+ mysql2 (>= 0.3.6)
+ pg (~> 0.11)
+ rake
+ rspec (~> 2.6.0)
+ ruby-debug
+ ruby-debug19
+ sequel (~> 3.8)
+ sqlite3 (~> 1.3.3)
Please sign in to comment.
Something went wrong with that request. Please try again.